Package ch.qos.logback.core.util

# Class JNDIUtil

java.lang.Object
ch.qos.logback.core.util.JNDIUtil

public class JNDIUtil extends Object
A simple utility class to create and use a JNDI Context.

Author:
  Ceki Gülcü, Michael Osipov, Sébastien Pennec

## Constructor Summary

Constructors
Constructor
Description
`JNDIUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Context`
`getInitialContext()`
`static Context`
`getInitialContext(Hashtable<?,?> props)`
`static Object`
`lookupObject(Context ctx, String name)`
`static String`
`lookupString(Context ctx, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JNDIUtil

public JNDIUtil()

## Method Details

### getInitialContext

public static Context getInitialContext() throws NamingException

Throws:
  `NamingException`

### getInitialContext

public static Context getInitialContext(Hashtable<?,?> props) throws NamingException

Throws:
  `NamingException`

### lookupObject

public static Object lookupObject(Context ctx, String name) throws NamingException

Throws:
  `NamingException`

### lookupString

public static String lookupString(Context ctx, String name) throws NamingException

Throws:
  `NamingException`